; Blitz3D Sample by ABTOMAT
; ICQ 438012412
; http://forum.boolean.name/

Graphics 800,600,32,2
SetBuffer BackBuffer()

Const TileWidth = 32, TileHeight = 32
Const Width = 100, Height = 100
Const MaxTiles = 10

Dim GameField(Width-1, Height-1)
Dim Images(MaxTiles-1)

LoadGraphics()
LoadLevel("Level1.txt")

Repeat
	Cls()
	RenderWorld2D(50,50)
	Flip
Until KeyHit(1)
End

Function LoadLevel(levelfile$)
	File = OpenFile(levelfile)
	For i=0 To Height-1
		L$ = ReadLine(file)
		Length = Len(L)
		For j=0 To Height-1			
			If j = Length Then Exit
			S$ = Mid(L, j+1,1)
			GameField(j, i) = Int(S$)
		Next
		If Eof(File) Then Exit
	Next
	CloseFile File
End Function

Function RenderWorld2D(x,y)
	For i=0 To Width-1
		For j=0 To Height-1
			If GameField(i, j) Then
				If Images(GameField(i, j)) Then DrawImage Images(GameField(i, j)),x+i*TileWidth,y+j*TileHeight
			End If
		Next
	Next
End Function

Function LoadGraphics()
	For i=1 To MaxTiles
		Images(i) = LoadImage(i+".png")
		If Not Images(i) Then Exit
	Next
End Function